package algorithm0703;

/**
 * Figure 7.3 of M. Ben-Ari, <i>Principles of Concurrent and Distributed Programming</i>
 *
 * <p>File: Algorithm0703.java
 *
 * @author M. Ben-Ari, modified by J. Stanley Warford
 */

class Algorithm0703 {

   public static void main(String[] args) {
      PCMonitor pc = new PCMonitor();
      Consumer consumer = new Consumer(pc);
      consumer.start();
      Producer producer = new Producer(pc);
      producer.start();
      try {
         consumer.join();
         producer.join();
      } catch (InterruptedException e) {
      }
   }
}
