package algorithm0703;

import static util450.Util450.*;

class Consumer extends Thread {

   private final PCMonitor pc;

   Consumer(PCMonitor pc) {
      this.pc = pc;
   }

   public void run() {
      int d;
      System.out.println("Consumer started.");
      for (int i = 0; i < 15; i++) {
         try {
            randomDelay(100);
            d = pc.take(); // Ignore returned value
         } catch (InterruptedException e) {
         }
      }
      System.out.println("Consumer finished.");
   }
}
