package algorithm0703;

import static util450.Util450.*;

class Producer extends Thread {

   private final PCMonitor pc;

   Producer(PCMonitor pc) {
      this.pc = pc;
   }

   public void run() {
      int d;
      System.out.println("Producer started.");
      for (int i = 0; i < 15; i++) {
         try {
            randomDelay(60);
            d = 10 * i;
            pc.append(d);
         } catch (InterruptedException e) {
         }
      }
      System.out.println("Producer finished.");
   }
}
