package counta;

/**
 * Copyright (C) 2006 M. Ben-Ari. See copyright.txt
 *
 * @author M. Ben-Ari
 */

public class CountA extends Thread {

   static volatile int n = 0;
   int m;

   CountA(int myM) {
      m = myM;
   }

   public void run() {
      int temp;
      for (int i = 0; i < m; i++) {
         temp = n;
         n = temp + 1;
      }
   }

   public static void main(String[] args) {
      int myMax = Integer.parseInt(args[0]);
      System.out.println("The value of myMax is " + myMax);
      CountA p = new CountA(myMax);
      CountA q = new CountA(myMax);
      p.start();
      q.start();
      try {
         p.join();
         q.join();
      } catch (InterruptedException e) {
      }
      System.out.println("The value of n should be " + 2 * myMax);
      System.out.println("The value of n is " + n);
   }
}
