package countb;

import static util450.Util450.*;

/**
 * Copyright (C) 2006 M. Ben-Ari. See copyright.txt
 *
 * <p>Modified by Stan Warford with delay
 *
 * @author M. Ben-Ari
 */

public class CountB extends Thread {

   static volatile int n = 0;

   public void run() {
      int temp;
      for (int i = 0; i < 10; i++) {
         try {
            randomDelay(10);
            temp = n;
            randomDelay(10);
            n = temp + 1;
         } catch (InterruptedException e) {
         }
      }
   }

   public static void main(String[] args) {
      CountB p = new CountB();
      CountB q = new CountB();
      p.start();
      q.start();
      try {
         p.join();
         q.join();
      } catch (InterruptedException e) {
      }
      System.out.println("The value of n is " + n);
   }
}
